Bug 622408 - IMSM RAID volume is not assembled during installation. RAID set is not recognized.
IMSM RAID volume is not assembled during installation. RAID set is not recogn...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mdadm (Show other bugs)
6.0
All Linux
low Severity urgent
: rc
: ---
Assigned To: Doug Ledford
Jan Ščotka
: RHELNAK
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-09 05:18 EDT by Ignacy Kasperowicz
Modified: 2010-11-15 09:33 EST (History)
9 users (show)

See Also:
Fixed In Version: mdadm-3.1.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 09:33:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
storage.log (41.34 KB, text/plain)
2010-08-09 05:18 EDT, Ignacy Kasperowicz
no flags Details
anaconda log (125.98 KB, text/plain)
2010-08-09 05:19 EDT, Ignacy Kasperowicz
no flags Details
metadata on drives (9.25 KB, text/plain)
2010-08-09 05:23 EDT, Ignacy Kasperowicz
no flags Details
Restore "--no-degraded" as a deprecated option (1.20 KB, patch)
2010-08-09 13:46 EDT, Dan Williams
no flags Details | Diff
anaconda log (127.61 KB, text/plain)
2010-08-10 08:04 EDT, Ignacy Kasperowicz
no flags Details
Storage log (41.22 KB, text/plain)
2010-08-10 08:05 EDT, Ignacy Kasperowicz
no flags Details
metadata on drives (8.96 KB, text/plain)
2010-08-10 08:05 EDT, Ignacy Kasperowicz
no flags Details
Return success in the 'container not enough' case (803 bytes, patch)
2010-08-10 11:54 EDT, Dan Williams
no flags Details | Diff

  None (edit)
Description Ignacy Kasperowicz 2010-08-09 05:18:37 EDT
Description of problem:
During examining storage devices message:
"Disks sda,sdb,sdc,sdd,sde,sdf contains BIOS RAID metadata, but are not part of any recognized BIOS RAID sets. Ignoring disks sda,sdb,sdc,sdd,sde,sdf."
is displayed and IMSM RAID volume is not assembled.

Version-Release number of selected component (if applicable):
RHEL6.0 Snapshot9 x64 - Manual installation

How reproducible:
Always on all RAID levels (1/10/5/0)

Steps to Reproduce:
1. Delete any RAID volumes in Intel OROM
2. Create RAID volume (level5 on 6 drives)
3. Start manual installation using DVD drive
4. Select "Advanced storage devices" and on next screen select RAID volume as installation target.
5. During examinig storage devices warning message is displayed.
6. Click OK and go on with installation
7. Anaconda crashes during partitioning as RAID volume device was not assembled.
(anaconda log is attached)
  
Actual results:
Installation crashes

Expected results:
Installation works.

Additional info:
 - Tested on two different PCs (with different drives sets)

 - # cat /proc/mdstat
Personalities : [raid0] [raid1] [raid6] [raid5] [raid4] [raid10] [linear] 
md0 : inactive sdc[0](S)
      2257 blocks super external:imsm
       
unused devices: <none>

 - # mdadm -Es
ARRAY metadata=imsm UUID=b13a148d:e3b409d3:5c30cffa:0d15f47f
ARRAY /dev/md/r5 container=b13a148d:e3b409d3:5c30cffa:0d15f47f member=0 UUID=d6eaaa7a:d56d158f:2dee6f25:6fb127a0

 - dmraid -s
*** Group superset isw_cfjdggjeeh
--> Subset
name   : isw_cfjdggjeeh_r5
size   : 499974400
stride : 128
type   : raid5_la
status : ok
subsets: 0
devs   : 6
spares : 0
Comment 1 Ignacy Kasperowicz 2010-08-09 05:18:58 EDT
Created attachment 437547 [details]
storage.log
Comment 2 Ignacy Kasperowicz 2010-08-09 05:19:20 EDT
Created attachment 437548 [details]
anaconda log
Comment 3 Ignacy Kasperowicz 2010-08-09 05:23:19 EDT
Created attachment 437549 [details]
metadata on drives
Comment 5 RHEL Product and Program Management 2010-08-09 05:47:51 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 6 Dan Williams 2010-08-09 13:46:02 EDT
Created attachment 437663 [details]
Restore "--no-degraded" as a deprecated option

mdadm 3.1.3 introduces 'container_enough' functionality which makes external-metadata incremental assembly behave like native-metadata incremental assembly, i.e. the array will start automatically when all expected devices are present, or will start when -R (--run) is specified to force assembly to proceed with the current set of devices.

The --no-degraded option is no longer needed, but it should have been marked deprecated rather than removed outright.
Comment 7 Ignacy Kasperowicz 2010-08-10 08:03:57 EDT
Dan,

I've checked attached patch with local ITP respin of RH ISO and the issue still exists.
Comment 8 Ignacy Kasperowicz 2010-08-10 08:04:30 EDT
Created attachment 437854 [details]
anaconda log
Comment 9 Ignacy Kasperowicz 2010-08-10 08:05:04 EDT
Created attachment 437856 [details]
Storage log
Comment 10 Ignacy Kasperowicz 2010-08-10 08:05:25 EDT
Created attachment 437857 [details]
metadata on drives
Comment 11 Hans de Goede 2010-08-10 08:39:43 EDT
Hi,

(In reply to comment #6)
> Created an attachment (id=437663) [details]
> Restore "--no-degraded" as a deprecated option
> 
> mdadm 3.1.3 introduces 'container_enough' functionality which makes
> external-metadata incremental assembly behave like native-metadata incremental
> assembly, i.e. the array will start automatically when all expected devices are
> present, or will start when -R (--run) is specified to force assembly to
> proceed with the current set of devices.
> 
> The --no-degraded option is no longer needed, but it should have been marked
> deprecated rather than removed outright.    

Thanks for the patch, and I indeed believe this is the underlying cause of
this bug. Notice though that anaconda has stopped using -I --no-degraded since anaconda-13.21.67-1 / Snapshot 10, see bug 620359. So I believe this bug can be marked as a duplicate of 620359.
Comment 12 Dan Williams 2010-08-10 11:54:35 EDT
Created attachment 437932 [details]
Return success in the 'container not enough' case

Commit 97b4d0e9 "Incremental: honor an 'enough' flag from external
handlers" introduced a regression in that it changed the error return
code for successful invocations.

So both patches in this bug are needed, one to remember the "--no-degraded" was once acceptable and this one to not return an error when the container is not assembled.
Comment 16 Jan Ščotka 2010-08-18 08:53:07 EDT
Sanity tests done.
mdadm working.
Basic examples executed (creating and failing of disk)
Comment 17 jbielans 2010-08-20 07:10:05 EDT
Not reproducible on RHEL6.0 Snapshot 10 x86_64.
Comment 18 releng-rhel@redhat.com 2010-11-15 09:33:01 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.